diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/includes/class-wp-ms-sites-list-table.php ./wordpress-3.3/wp-admin/includes/class-wp-ms-sites-list-table.php
*** ./wordpress-3.2.1/wp-admin/includes/class-wp-ms-sites-list-table.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-admin/includes/class-wp-ms-sites-list-table.php	2011-10-03 11:30:07.000000000 -0500
***************
*** 37,59 ****
  
  		$like_s = esc_sql( like_escape( $s ) );
  
- 		$large_network = false;
  		// If the network is large and a search is not being performed, show only the latest blogs with no paging in order
  		// to avoid expensive count queries.
! 		if ( !$s && ( get_blog_count() >= 10000 ) ) {
  			if ( !isset($_REQUEST['orderby']) )
  				$_GET['orderby'] = $_REQUEST['orderby'] = '';
  			if ( !isset($_REQUEST['order']) )
  				$_GET['order'] = $_REQUEST['order'] = 'DESC';
- 			$large_network = true;
  		}
  
  		$query = "SELECT * FROM {$wpdb->blogs} WHERE site_id = '{$wpdb->siteid}' ";
  
  		if ( empty($s) ) {
  			// Nothing to do.
! 		} elseif ( preg_match('/^[0-9]+\./', $s) ) {
! 			// IP address
  			$reg_blog_ids = $wpdb->get_col( "SELECT blog_id FROM {$wpdb->registration_log} WHERE {$wpdb->registration_log}.IP LIKE ( '{$like_s}$wild' )" );
  
  			if ( !$reg_blog_ids )
--- 37,60 ----
  
  		$like_s = esc_sql( like_escape( $s ) );
  
  		// If the network is large and a search is not being performed, show only the latest blogs with no paging in order
  		// to avoid expensive count queries.
! 		if ( !$s && wp_is_large_network() ) {
  			if ( !isset($_REQUEST['orderby']) )
  				$_GET['orderby'] = $_REQUEST['orderby'] = '';
  			if ( !isset($_REQUEST['order']) )
  				$_GET['order'] = $_REQUEST['order'] = 'DESC';
  		}
  
  		$query = "SELECT * FROM {$wpdb->blogs} WHERE site_id = '{$wpdb->siteid}' ";
  
  		if ( empty($s) ) {
  			// Nothing to do.
! 		} elseif ( preg_match( '/^[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}$/', $s ) ||
! 					preg_match( '/^[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.?$/', $s ) ||
! 					preg_match( '/^[0-9]{1,3}\.[0-9]{1,3}\.?$/', $s ) ||
! 					preg_match( '/^[0-9]{1,3}\.$/', $s ) ) {
! 			// IPv4 address
  			$reg_blog_ids = $wpdb->get_col( "SELECT blog_id FROM {$wpdb->registration_log} WHERE {$wpdb->registration_log}.IP LIKE ( '{$like_s}$wild' )" );
  
  			if ( !$reg_blog_ids )
***************
*** 64,70 ****
  				WHERE site_id = '{$wpdb->siteid}'
  				AND {$wpdb->blogs}.blog_id IN (" . implode( ', ', $reg_blog_ids ) . ")";
  		} else {
! 			if ( is_numeric($s) ) {
  				$query .= " AND ( {$wpdb->blogs}.blog_id = '{$like_s}' )";
  			} elseif ( is_subdomain_install() ) {
  				$blog_s = str_replace( '.' . $current_site->domain, '', $like_s );
--- 65,71 ----
  				WHERE site_id = '{$wpdb->siteid}'
  				AND {$wpdb->blogs}.blog_id IN (" . implode( ', ', $reg_blog_ids ) . ")";
  		} else {
! 			if ( is_numeric($s) && empty( $wild ) ) {
  				$query .= " AND ( {$wpdb->blogs}.blog_id = '{$like_s}' )";
  			} elseif ( is_subdomain_install() ) {
  				$blog_s = str_replace( '.' . $current_site->domain, '', $like_s );
***************
*** 101,113 ****
  		}
  
  		// Don't do an unbounded count on large networks
! 		if ( ! $large_network )
  			$total = $wpdb->get_var( str_replace( 'SELECT *', 'SELECT COUNT( blog_id )', $query ) );
  
  		$query .= " LIMIT " . intval( ( $pagenum - 1 ) * $per_page ) . ", " . intval( $per_page );
  		$this->items = $wpdb->get_results( $query, ARRAY_A );
  
! 		if ( $large_network )
  			$total = count($this->items);
  
  		$this->set_pagination_args( array(
--- 102,114 ----
  		}
  
  		// Don't do an unbounded count on large networks
! 		if ( ! wp_is_large_network() )
  			$total = $wpdb->get_var( str_replace( 'SELECT *', 'SELECT COUNT( blog_id )', $query ) );
  
  		$query .= " LIMIT " . intval( ( $pagenum - 1 ) * $per_page ) . ", " . intval( $per_page );
  		$this->items = $wpdb->get_results( $query, ARRAY_A );
  
! 		if ( wp_is_large_network() )
  			$total = count($this->items);
  
  		$this->set_pagination_args( array(
***************
*** 245,266 ****
  							$actions['backend']	= "<span class='backend'><a href='" . esc_url( get_admin_url( $blog['blog_id'] ) ) . "' class='edit'>" . __( 'Dashboard' ) . '</a></span>';
  							if ( $current_site->blog_id != $blog['blog_id'] ) {
  								if ( get_blog_status( $blog['blog_id'], 'deleted' ) == '1' )
! 									$actions['activate']	= '<span class="activate"><a href="' . esc_url( wp_nonce_url( network_admin_url( 'edit.php?action=confirm&amp;action2=activateblog&amp;id=' . $blog['blog_id'] . '&amp;msg=' . urlencode( sprintf( __( 'You are about to activate the site %s' ), $blogname ) ) ), 'confirm' ) ) . '">' . __( 'Activate' ) . '</a></span>';
  								else
! 									$actions['deactivate']	= '<span class="activate"><a href="' . esc_url( wp_nonce_url( network_admin_url( 'edit.php?action=confirm&amp;action2=deactivateblog&amp;id=' . $blog['blog_id'] . '&amp;msg=' . urlencode( sprintf( __( 'You are about to deactivate the site %s' ), $blogname ) ) ), 'confirm') ) . '">' . __( 'Deactivate' ) . '</a></span>';
  
  								if ( get_blog_status( $blog['blog_id'], 'archived' ) == '1' )
! 									$actions['unarchive']	= '<span class="archive"><a href="' . esc_url( wp_nonce_url( network_admin_url( 'edit.php?action=confirm&amp;action2=unarchiveblog&amp;id=' .  $blog['blog_id'] . '&amp;msg=' . urlencode( sprintf( __( 'You are about to unarchive the site %s.' ), $blogname ) ) ), 'confirm') ) . '">' . __( 'Unarchive' ) . '</a></span>';
  								else
! 									$actions['archive']	= '<span class="archive"><a href="' . esc_url( wp_nonce_url( network_admin_url( 'edit.php?action=confirm&amp;action2=archiveblog&amp;id=' . $blog['blog_id'] . '&amp;msg=' . urlencode( sprintf( __( 'You are about to archive the site %s.' ), $blogname ) ) ), 'confirm') ) . '">' . _x( 'Archive', 'verb; site' ) . '</a></span>';
  
  								if ( get_blog_status( $blog['blog_id'], 'spam' ) == '1' )
! 									$actions['unspam']	= '<span class="spam"><a href="' . esc_url( wp_nonce_url( network_admin_url( 'edit.php?action=confirm&amp;action2=unspamblog&amp;id=' . $blog['blog_id'] . '&amp;msg=' . urlencode( sprintf( __( 'You are about to unspam the site %s.' ), $blogname ) ) ), 'confirm') ) . '">' . _x( 'Not Spam', 'site' ) . '</a></span>';
  								else
! 									$actions['spam']	= '<span class="spam"><a href="' . esc_url( wp_nonce_url( network_admin_url( 'edit.php?action=confirm&amp;action2=spamblog&amp;id=' . $blog['blog_id'] . '&amp;msg=' . urlencode( sprintf( __( 'You are about to mark the site %s as spam.' ), $blogname ) ) ), 'confirm') ) . '">' . _x( 'Spam', 'site' ) . '</a></span>';
  
  								if ( current_user_can( 'delete_site', $blog['blog_id'] ) )
! 									$actions['delete']	= '<span class="delete"><a href="' . esc_url( wp_nonce_url( network_admin_url( 'edit.php?action=confirm&amp;action2=deleteblog&amp;id=' . $blog['blog_id'] . '&amp;msg=' . urlencode( sprintf( __( 'You are about to delete the site %s.' ), $blogname ) ) ), 'confirm') ) . '">' . __( 'Delete' ) . '</a></span>';
  							}
  
  							$actions['visit']	= "<span class='view'><a href='" . esc_url( get_home_url( $blog['blog_id'] ) ) . "' rel='permalink'>" . __( 'Visit' ) . '</a></span>';
--- 246,267 ----
  							$actions['backend']	= "<span class='backend'><a href='" . esc_url( get_admin_url( $blog['blog_id'] ) ) . "' class='edit'>" . __( 'Dashboard' ) . '</a></span>';
  							if ( $current_site->blog_id != $blog['blog_id'] ) {
  								if ( get_blog_status( $blog['blog_id'], 'deleted' ) == '1' )
! 									$actions['activate']	= '<span class="activate"><a href="' . esc_url( wp_nonce_url( network_admin_url( 'sites.php?action=confirm&amp;action2=activateblog&amp;id=' . $blog['blog_id'] . '&amp;msg=' . urlencode( sprintf( __( 'You are about to activate the site %s' ), $blogname ) ) ), 'confirm' ) ) . '">' . __( 'Activate' ) . '</a></span>';
  								else
! 									$actions['deactivate']	= '<span class="activate"><a href="' . esc_url( wp_nonce_url( network_admin_url( 'sites.php?action=confirm&amp;action2=deactivateblog&amp;id=' . $blog['blog_id'] . '&amp;msg=' . urlencode( sprintf( __( 'You are about to deactivate the site %s' ), $blogname ) ) ), 'confirm') ) . '">' . __( 'Deactivate' ) . '</a></span>';
  
  								if ( get_blog_status( $blog['blog_id'], 'archived' ) == '1' )
! 									$actions['unarchive']	= '<span class="archive"><a href="' . esc_url( wp_nonce_url( network_admin_url( 'sites.php?action=confirm&amp;action2=unarchiveblog&amp;id=' .  $blog['blog_id'] . '&amp;msg=' . urlencode( sprintf( __( 'You are about to unarchive the site %s.' ), $blogname ) ) ), 'confirm') ) . '">' . __( 'Unarchive' ) . '</a></span>';
  								else
! 									$actions['archive']	= '<span class="archive"><a href="' . esc_url( wp_nonce_url( network_admin_url( 'sites.php?action=confirm&amp;action2=archiveblog&amp;id=' . $blog['blog_id'] . '&amp;msg=' . urlencode( sprintf( __( 'You are about to archive the site %s.' ), $blogname ) ) ), 'confirm') ) . '">' . _x( 'Archive', 'verb; site' ) . '</a></span>';
  
  								if ( get_blog_status( $blog['blog_id'], 'spam' ) == '1' )
! 									$actions['unspam']	= '<span class="spam"><a href="' . esc_url( wp_nonce_url( network_admin_url( 'sites.php?action=confirm&amp;action2=unspamblog&amp;id=' . $blog['blog_id'] . '&amp;msg=' . urlencode( sprintf( __( 'You are about to unspam the site %s.' ), $blogname ) ) ), 'confirm') ) . '">' . _x( 'Not Spam', 'site' ) . '</a></span>';
  								else
! 									$actions['spam']	= '<span class="spam"><a href="' . esc_url( wp_nonce_url( network_admin_url( 'sites.php?action=confirm&amp;action2=spamblog&amp;id=' . $blog['blog_id'] . '&amp;msg=' . urlencode( sprintf( __( 'You are about to mark the site %s as spam.' ), $blogname ) ) ), 'confirm') ) . '">' . _x( 'Spam', 'site' ) . '</a></span>';
  
  								if ( current_user_can( 'delete_site', $blog['blog_id'] ) )
! 									$actions['delete']	= '<span class="delete"><a href="' . esc_url( wp_nonce_url( network_admin_url( 'sites.php?action=confirm&amp;action2=deleteblog&amp;id=' . $blog['blog_id'] . '&amp;msg=' . urlencode( sprintf( __( 'You are about to delete the site %s.' ), $blogname ) ) ), 'confirm') ) . '">' . __( 'Delete' ) . '</a></span>';
  							}
  
  							$actions['visit']	= "<span class='view'><a href='" . esc_url( get_home_url( $blog['blog_id'] ) ) . "' rel='permalink'>" . __( 'Visit' ) . '</a></span>';
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/includes/class-wp-ms-users-list-table.php ./wordpress-3.3/wp-admin/includes/class-wp-ms-users-list-table.php
*** ./wordpress-3.2.1/wp-admin/includes/class-wp-ms-users-list-table.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-admin/includes/class-wp-ms-users-list-table.php	2011-10-03 11:30:07.000000000 -0500
***************
*** 32,38 ****
  			'fields' => 'all_with_meta'
  		);
  
! 		$args['search'] = ltrim($args['search'], '*');
  
  		if ( $role == 'super' ) {
  			$logins = implode( "', '", get_super_admins() );
--- 32,39 ----
  			'fields' => 'all_with_meta'
  		);
  
! 		if ( wp_is_large_network( 'users' ) )
! 			$args['search'] = ltrim( $args['search'], '*' );
  
  		if ( $role == 'super' ) {
  			$logins = implode( "', '", get_super_admins() );
***************
*** 41,47 ****
  
  		// If the network is large and a search is not being performed, show only the latest users with no paging in order
  		// to avoid expensive count queries.
! 		if ( !$usersearch && ( get_blog_count() >= 10000 ) ) {
  			if ( !isset($_REQUEST['orderby']) )
  				$_GET['orderby'] = $_REQUEST['orderby'] = 'id';
  			if ( !isset($_REQUEST['order']) )
--- 42,48 ----
  
  		// If the network is large and a search is not being performed, show only the latest users with no paging in order
  		// to avoid expensive count queries.
! 		if ( !$usersearch && wp_is_large_network( 'users' ) ) {
  			if ( !isset($_REQUEST['orderby']) )
  				$_GET['orderby'] = $_REQUEST['orderby'] = 'id';
  			if ( !isset($_REQUEST['order']) )
***************
*** 188,195 ****
  								$actions = array();
  								$actions['edit'] = '<a href="' . $edit_link . '">' . __( 'Edit' ) . '</a>';
  
! 								if ( current_user_can( 'delete_user', $user->ID) && ! in_array( $user->user_login, $super_admins ) ) {
! 									$actions['delete'] = '<a href="' . $delete = esc_url( network_admin_url( add_query_arg( '_wp_http_referer', urlencode( stripslashes( $_SERVER['REQUEST_URI'] ) ), wp_nonce_url( 'edit.php', 'deleteuser' ) . '&amp;action=deleteuser&amp;id=' . $user->ID ) ) ) . '" class="delete">' . __( 'Delete' ) . '</a>';
  								}
  
  								$actions = apply_filters( 'ms_user_row_actions', $actions, $user );
--- 189,196 ----
  								$actions = array();
  								$actions['edit'] = '<a href="' . $edit_link . '">' . __( 'Edit' ) . '</a>';
  
! 								if ( current_user_can( 'delete_user', $user->ID ) && ! in_array( $user->user_login, $super_admins ) ) {
! 									$actions['delete'] = '<a href="' . $delete = esc_url( network_admin_url( add_query_arg( '_wp_http_referer', urlencode( stripslashes( $_SERVER['REQUEST_URI'] ) ), wp_nonce_url( 'users.php', 'deleteuser' ) . '&amp;action=deleteuser&amp;id=' . $user->ID ) ) ) . '" class="delete">' . __( 'Delete' ) . '</a>';
  								}
  
  								$actions = apply_filters( 'ms_user_row_actions', $actions, $user );
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/includes/class-wp-plugin-install-list-table.php ./wordpress-3.3/wp-admin/includes/class-wp-plugin-install-list-table.php
*** ./wordpress-3.2.1/wp-admin/includes/class-wp-plugin-install-list-table.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-admin/includes/class-wp-plugin-install-list-table.php	2011-10-20 10:04:46.000000000 -0500
***************
*** 227,237 ****
  						else
  							$star_url = admin_url( 'images/star.png?v=20110615' ); // 'Classic' Blue star
  					?>
! 					<div class="star star5"><img src="<?php echo $star_url; ?>" alt="<?php _e( '5 stars' ) ?>" /></div>
! 					<div class="star star4"><img src="<?php echo $star_url; ?>" alt="<?php _e( '4 stars' ) ?>" /></div>
! 					<div class="star star3"><img src="<?php echo $star_url; ?>" alt="<?php _e( '3 stars' ) ?>" /></div>
! 					<div class="star star2"><img src="<?php echo $star_url; ?>" alt="<?php _e( '2 stars' ) ?>" /></div>
! 					<div class="star star1"><img src="<?php echo $star_url; ?>" alt="<?php _e( '1 star' ) ?>" /></div>
  				</div>
  			</td>
  			<td class="desc column-description"<?php echo $style['description']; ?>><?php echo $description, $author; ?></td>
--- 227,237 ----
  						else
  							$star_url = admin_url( 'images/star.png?v=20110615' ); // 'Classic' Blue star
  					?>
! 					<div class="star star5"><img src="<?php echo $star_url; ?>" alt="<?php esc_attr_e( '5 stars' ) ?>" /></div>
! 					<div class="star star4"><img src="<?php echo $star_url; ?>" alt="<?php esc_attr_e( '4 stars' ) ?>" /></div>
! 					<div class="star star3"><img src="<?php echo $star_url; ?>" alt="<?php esc_attr_e( '3 stars' ) ?>" /></div>
! 					<div class="star star2"><img src="<?php echo $star_url; ?>" alt="<?php esc_attr_e( '2 stars' ) ?>" /></div>
! 					<div class="star star1"><img src="<?php echo $star_url; ?>" alt="<?php esc_attr_e( '1 star' ) ?>" /></div>
  				</div>
  			</td>
  			<td class="desc column-description"<?php echo $style['description']; ?>><?php echo $description, $author; ?></td>
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/includes/class-wp-plugins-list-table.php ./wordpress-3.3/wp-admin/includes/class-wp-plugins-list-table.php
*** ./wordpress-3.2.1/wp-admin/includes/class-wp-plugins-list-table.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-admin/includes/class-wp-plugins-list-table.php	2011-09-29 00:54:05.000000000 -0500
***************
*** 12,26 ****
  	function __construct() {
  		global $status, $page;
  
! 		$default_status = get_user_option( 'plugins_last_view' );
! 		if ( empty( $default_status ) )
! 			$default_status = 'all';
! 		$status = isset( $_REQUEST['plugin_status'] ) ? $_REQUEST['plugin_status'] : $default_status;
! 		if ( !in_array( $status, array( 'all', 'active', 'inactive', 'recently_activated', 'upgrade', 'network', 'mustuse', 'dropins', 'search' ) ) )
! 			$status = 'all';
! 		if ( $status != $default_status && 'search' != $status )
! 			update_user_meta( get_current_user_id(), 'plugins_last_view', $status );
! 
  
  		if ( isset($_REQUEST['s']) )
  			$_SERVER['REQUEST_URI'] = add_query_arg('s', stripslashes($_REQUEST['s']) );
--- 12,20 ----
  	function __construct() {
  		global $status, $page;
  
! 		$status = 'all';
! 		if ( isset( $_REQUEST['plugin_status'] ) && in_array( $_REQUEST['plugin_status'], array( 'active', 'inactive', 'recently_activated', 'upgrade', 'network', 'mustuse', 'dropins', 'search' ) ) )
! 			$status = $_REQUEST['plugin_status'];
  
  		if ( isset($_REQUEST['s']) )
  			$_SERVER['REQUEST_URI'] = add_query_arg('s', stripslashes($_REQUEST['s']) );
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/includes/class-wp-posts-list-table.php ./wordpress-3.3/wp-admin/includes/class-wp-posts-list-table.php
*** ./wordpress-3.2.1/wp-admin/includes/class-wp-posts-list-table.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-admin/includes/class-wp-posts-list-table.php	2011-11-17 12:01:08.000000000 -0600
***************
*** 46,61 ****
  	var $sticky_posts_count = 0;
  
  	function __construct() {
! 		global $post_type_object, $post_type, $wpdb;
! 
! 		if ( !isset( $_REQUEST['post_type'] ) )
! 			$post_type = 'post';
! 		elseif ( in_array( $_REQUEST['post_type'], get_post_types( array( 'show_ui' => true ) ) ) )
! 			$post_type = $_REQUEST['post_type'];
! 		else
! 			wp_die( __( 'Invalid post type' ) );
! 		$_REQUEST['post_type'] = $post_type;
  
  		$post_type_object = get_post_type_object( $post_type );
  
  		if ( !current_user_can( $post_type_object->cap->edit_others_posts ) ) {
--- 46,54 ----
  	var $sticky_posts_count = 0;
  
  	function __construct() {
! 		global $post_type_object, $wpdb;
  
+ 		$post_type = get_current_screen()->post_type;
  		$post_type_object = get_post_type_object( $post_type );
  
  		if ( !current_user_can( $post_type_object->cap->edit_others_posts ) ) {
***************
*** 86,92 ****
  	}
  
  	function prepare_items() {
! 		global $post_type_object, $post_type, $avail_post_stati, $wp_query, $per_page, $mode;
  
  		$avail_post_stati = wp_edit_posts_query();
  
--- 79,85 ----
  	}
  
  	function prepare_items() {
! 		global $post_type_object, $avail_post_stati, $wp_query, $per_page, $mode;
  
  		$avail_post_stati = wp_edit_posts_query();
  
***************
*** 94,99 ****
--- 87,93 ----
  
  		$total_items = $this->hierarchical_display ? $wp_query->post_count : $wp_query->found_posts;
  
+ 		$post_type = $post_type_object->name;
  		$per_page = $this->get_items_per_page( 'edit_' . $post_type . '_per_page' );
   		$per_page = apply_filters( 'edit_posts_per_page', $per_page, $post_type );
  
***************
*** 127,133 ****
  	}
  
  	function get_views() {
! 		global $post_type, $post_type_object, $locked_post_status, $avail_post_stati;
  
  		if ( !empty($locked_post_status) )
  			return array();
--- 121,129 ----
  	}
  
  	function get_views() {
! 		global $post_type_object, $locked_post_status, $avail_post_stati;
! 
! 		$post_type = $post_type_object->name;
  
  		if ( !empty($locked_post_status) )
  			return array();
***************
*** 202,216 ****
  	}
  
  	function extra_tablenav( $which ) {
! 		global $post_type, $post_type_object, $cat;
  ?>
  		<div class="alignleft actions">
  <?php
  		if ( 'top' == $which && !is_singular() ) {
  
! 			$this->months_dropdown( $post_type );
  
! 			if ( is_object_in_taxonomy( $post_type, 'category' ) ) {
  				$dropdown_options = array(
  					'show_option_all' => __( 'View all categories' ),
  					'hide_empty' => 0,
--- 198,212 ----
  	}
  
  	function extra_tablenav( $which ) {
! 		global $post_type_object, $cat;
  ?>
  		<div class="alignleft actions">
  <?php
  		if ( 'top' == $which && !is_singular() ) {
  
! 			$this->months_dropdown( $post_type_object->name );
  
! 			if ( is_object_in_taxonomy( $post_type_object->name, 'category' ) ) {
  				$dropdown_options = array(
  					'show_option_all' => __( 'View all categories' ),
  					'hide_empty' => 0,
***************
*** 463,485 ****
  	}
  
  	function single_row( $a_post, $level = 0 ) {
! 		global $post, $current_screen, $mode;
! 		static $rowclass;
  
  		$global_post = $post;
  		$post = $a_post;
  		setup_postdata( $post );
  
- 		$rowclass = 'alternate' == $rowclass ? '' : 'alternate';
- 		$post_owner = ( get_current_user_id() == $post->post_author ? 'self' : 'other' );
  		$edit_link = get_edit_post_link( $post->ID );
  		$title = _draft_or_post_title();
  		$post_type_object = get_post_type_object( $post->post_type );
  		$can_edit_post = current_user_can( $post_type_object->cap->edit_post, $post->ID );
! 		$post_format = get_post_format( $post->ID );
! 		$post_format_class = ( $post_format && !is_wp_error($post_format) ) ? 'format-' . sanitize_html_class( $post_format ) : 'format-default';
  	?>
! 		<tr id='post-<?php echo $post->ID; ?>' class='<?php echo trim( $rowclass . ' author-' . $post_owner . ' status-' . $post->post_status . ' ' . $post_format_class); ?> iedit' valign="top">
  	<?php
  
  		list( $columns, $hidden ) = $this->get_column_info();
--- 459,480 ----
  	}
  
  	function single_row( $a_post, $level = 0 ) {
! 		global $post, $mode;
! 		static $alternate;
  
  		$global_post = $post;
  		$post = $a_post;
  		setup_postdata( $post );
  
  		$edit_link = get_edit_post_link( $post->ID );
  		$title = _draft_or_post_title();
  		$post_type_object = get_post_type_object( $post->post_type );
  		$can_edit_post = current_user_can( $post_type_object->cap->edit_post, $post->ID );
! 
! 		$alternate = 'alternate' == $alternate ? '' : 'alternate';
! 		$classes = $alternate . ' iedit author-' . ( get_current_user_id() == $post->post_author ? 'self' : 'other' );
  	?>
! 		<tr id="post-<?php echo $post->ID; ?>" class="<?php echo implode( ' ', get_post_class( $classes, $post->ID ) ); ?>" valign="top">
  	<?php
  
  		list( $columns, $hidden ) = $this->get_column_info();
***************
*** 551,557 ****
  						$actions['delete'] = "<a class='submitdelete' title='" . esc_attr( __( 'Delete this item permanently' ) ) . "' href='" . get_delete_post_link( $post->ID, '', true ) . "'>" . __( 'Delete Permanently' ) . "</a>";
  				}
  				if ( $post_type_object->public ) {
! 					if ( in_array( $post->post_status, array( 'pending', 'draft' ) ) ) {
  						if ( $can_edit_post )
  							$actions['view'] = '<a href="' . esc_url( add_query_arg( 'preview', 'true', get_permalink( $post->ID ) ) ) . '" title="' . esc_attr( sprintf( __( 'Preview &#8220;%s&#8221;' ), $title ) ) . '" rel="permalink">' . __( 'Preview' ) . '</a>';
  					} elseif ( 'trash' != $post->post_status ) {
--- 546,552 ----
  						$actions['delete'] = "<a class='submitdelete' title='" . esc_attr( __( 'Delete this item permanently' ) ) . "' href='" . get_delete_post_link( $post->ID, '', true ) . "'>" . __( 'Delete Permanently' ) . "</a>";
  				}
  				if ( $post_type_object->public ) {
! 					if ( in_array( $post->post_status, array( 'pending', 'draft', 'future' ) ) ) {
  						if ( $can_edit_post )
  							$actions['view'] = '<a href="' . esc_url( add_query_arg( 'preview', 'true', get_permalink( $post->ID ) ) ) . '" title="' . esc_attr( sprintf( __( 'Preview &#8220;%s&#8221;' ), $title ) ) . '" rel="permalink">' . __( 'Preview' ) . '</a>';
  					} elseif ( 'trash' != $post->post_status ) {
***************
*** 839,852 ****
  	<?php
  		if ( post_type_supports( $screen->post_type, 'author' ) && $bulk )
  			echo $authors_dropdown;
- 	?>
  
! 	<?php if ( $post_type_object->hierarchical ) : ?>
  
  			<label>
  				<span class="title"><?php _e( 'Parent' ); ?></span>
  	<?php
! 		$dropdown_args = array( 'post_type' => $post_type_object->name, 'selected' => $post->post_parent, 'name' => 'post_parent', 'show_option_none' => __( 'Main Page (no parent)' ), 'option_none_value' => 0, 'sort_column'=> 'menu_order, post_title' );
  		if ( $bulk )
  			$dropdown_args['show_option_no_change'] =  __( '&mdash; No Change &mdash;' );
  		$dropdown_args = apply_filters( 'quick_edit_dropdown_pages_args', $dropdown_args );
--- 834,856 ----
  	<?php
  		if ( post_type_supports( $screen->post_type, 'author' ) && $bulk )
  			echo $authors_dropdown;
  
! 		if ( post_type_supports( $screen->post_type, 'page-attributes' ) ) :
  
+ 			if ( $post_type_object->hierarchical ) :
+ 		?>
  			<label>
  				<span class="title"><?php _e( 'Parent' ); ?></span>
  	<?php
! 		$dropdown_args = array(
! 			'post_type'         => $post_type_object->name,
! 			'selected'          => $post->post_parent,
! 			'name'              => 'post_parent',
! 			'show_option_none'  => __( 'Main Page (no parent)' ),
! 			'option_none_value' => 0,
! 			'sort_column'       => 'menu_order, post_title',
! 		);
! 
  		if ( $bulk )
  			$dropdown_args['show_option_no_change'] =  __( '&mdash; No Change &mdash;' );
  		$dropdown_args = apply_filters( 'quick_edit_dropdown_pages_args', $dropdown_args );
***************
*** 854,860 ****
  	?>
  			</label>
  
! 	<?php if ( post_type_supports( $screen->post_type, 'page-attributes' ) ) :
  			if ( !$bulk ) : ?>
  
  			<label>
--- 858,866 ----
  	?>
  			</label>
  
! 	<?php
! 			endif; // hierarchical
! 
  			if ( !$bulk ) : ?>
  
  			<label>
***************
*** 862,868 ****
  				<span class="input-text-wrap"><input type="text" name="menu_order" class="inline-edit-menu-order-input" value="<?php echo $post->menu_order ?>" /></span>
  			</label>
  
! 	<?php	endif; // !$bulk ?>
  
  			<label>
  				<span class="title"><?php _e( 'Template' ); ?></span>
--- 868,877 ----
  				<span class="input-text-wrap"><input type="text" name="menu_order" class="inline-edit-menu-order-input" value="<?php echo $post->menu_order ?>" /></span>
  			</label>
  
! 	<?php	endif; // !$bulk
! 
! 			if ( 'page' == $screen->post_type ) :
! 	?>
  
  			<label>
  				<span class="title"><?php _e( 'Template' ); ?></span>
***************
*** 876,892 ****
  			</label>
  
  	<?php
! 		endif; // post_type_supports page-attributes
! 	endif; // $post_type_object->hierarchical ?>
  
  	<?php if ( count( $flat_taxonomies ) && !$bulk ) : ?>
  
  	<?php foreach ( $flat_taxonomies as $taxonomy ) : ?>
! 
  			<label class="inline-edit-tags">
  				<span class="title"><?php echo esc_html( $taxonomy->labels->name ) ?></span>
  				<textarea cols="22" rows="1" name="tax_input[<?php echo esc_attr( $taxonomy->name )?>]" class="tax_input_<?php echo esc_attr( $taxonomy->name )?>"></textarea>
  			</label>
  
  	<?php endforeach; //$flat_taxonomies as $taxonomy ?>
  
--- 885,903 ----
  			</label>
  
  	<?php
! 			endif; // page post_type
! 		endif; // page-attributes
! 	?>
  
  	<?php if ( count( $flat_taxonomies ) && !$bulk ) : ?>
  
  	<?php foreach ( $flat_taxonomies as $taxonomy ) : ?>
! 		<?php if ( current_user_can( $taxonomy->cap->assign_terms ) ) : ?>
  			<label class="inline-edit-tags">
  				<span class="title"><?php echo esc_html( $taxonomy->labels->name ) ?></span>
  				<textarea cols="22" rows="1" name="tax_input[<?php echo esc_attr( $taxonomy->name )?>]" class="tax_input_<?php echo esc_attr( $taxonomy->name )?>"></textarea>
  			</label>
+ 		<?php endif; ?>
  
  	<?php endforeach; //$flat_taxonomies as $taxonomy ?>
  
***************
*** 981,986 ****
--- 992,1019 ----
  
  			</div>
  
+ 	<?php if ( post_type_supports( $screen->post_type, 'post-formats' ) && current_theme_supports( 'post-formats' ) ) :
+ 		$post_formats = get_theme_support( 'post-formats' );
+ 		if ( isset( $post_formats[0] ) && is_array( $post_formats[0] ) ) :
+ 			$all_post_formats = get_post_format_strings(); ?>
+ 			<div class="inline-edit-group">
+ 				<label class="alignleft" for="post_format">
+ 				<span class="title"><?php _e( 'Post Format' ); ?></span>
+ 				<select name="post_format">
+ 				<?php if ( $bulk ) : ?>
+ 					<option value="-1"><?php _e( '&mdash; No Change &mdash;' ); ?></option>
+ 				<?php endif; ?>
+ 					<option value="0"><?php _ex( 'Standard', 'Post format' ); ?></option>
+ 				<?php foreach ( $all_post_formats as $slug => $format ):
+ 					if ( $slug != 'standard' ) : ?>
+ 					<option value="<?php echo esc_attr( $slug ); ?>"<?php if ( ! in_array( $slug, $post_formats[0] ) ) echo ' class="unsupported"'; ?>><?php echo esc_html( $format ); ?></option>
+ 					<?php endif;
+ 				endforeach; ?>
+ 				</select></label>
+ 			</div>
+ 		<?php endif; ?>
+ 	<?php endif; // post-formats ?>
+ 
  		</div></fieldset>
  
  	<?php
***************
*** 993,1004 ****
  		}
  	?>
  		<p class="submit inline-edit-save">
! 			<a accesskey="c" href="#inline-edit" title="<?php _e( 'Cancel' ); ?>" class="button-secondary cancel alignleft"><?php _e( 'Cancel' ); ?></a>
  			<?php if ( ! $bulk ) {
  				wp_nonce_field( 'inlineeditnonce', '_inline_edit', false );
  				$update_text = __( 'Update' );
  				?>
! 				<a accesskey="s" href="#inline-edit" title="<?php _e( 'Update' ); ?>" class="button-primary save alignright"><?php echo esc_attr( $update_text ); ?></a>
  				<img class="waiting" style="display:none;" src="<?php echo esc_url( admin_url( 'images/wpspin_light.gif' ) ); ?>" alt="" />
  			<?php } else {
  				submit_button( __( 'Update' ), 'button-primary alignright', 'bulk_edit', false, array( 'accesskey' => 's' ) );
--- 1026,1037 ----
  		}
  	?>
  		<p class="submit inline-edit-save">
! 			<a accesskey="c" href="#inline-edit" title="<?php esc_attr_e( 'Cancel' ); ?>" class="button-secondary cancel alignleft"><?php _e( 'Cancel' ); ?></a>
  			<?php if ( ! $bulk ) {
  				wp_nonce_field( 'inlineeditnonce', '_inline_edit', false );
  				$update_text = __( 'Update' );
  				?>
! 				<a accesskey="s" href="#inline-edit" title="<?php esc_attr_e( 'Update' ); ?>" class="button-primary save alignright"><?php echo esc_attr( $update_text ); ?></a>
  				<img class="waiting" style="display:none;" src="<?php echo esc_url( admin_url( 'images/wpspin_light.gif' ) ); ?>" alt="" />
  			<?php } else {
  				submit_button( __( 'Update' ), 'button-primary alignright', 'bulk_edit', false, array( 'accesskey' => 's' ) );
